Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-3064

Package['rubygems'] is installed every time puppet runs

    XMLWordPrintable

Details

    • Bug
    • Status: Open
    • Normal
    • Resolution: Unresolved
    • None
    • None
    • ruby
    • None

    Description

      With the `ruby` module, the following puppet manifests do not seem to work as expected:

        class { 'ruby':
          latest_release  => true,
          gems_version    => 'latest',
          rubygems_update => true,
        }
      

      Every time that I run `puppet`, the following output is produced:

      Notice: /Stage[main]/Ruby/Package[rubygems]/ensure: created
      

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              joshuaspence Joshua Spence
              Votes:
              4 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

                Created:
                Updated:

                Zendesk Support